package errHandler

import "github.com/gogf/gf/v2/errors/gcode"

// ErrAppleOrderNotExist 业务代码错误
var (
	ErrAppleOrderNotExist                   = gcode.New(1001, "订单不存在", nil)
	ErrAppleAccountNotExist                 = gcode.New(1002, "账号不存在", nil)
	ErrAppleAccountRepeat                   = gcode.New(1003, "账号已存在", nil)
	ErrAppleErrCardPass                     = gcode.New(1005, "卡密错误", nil)
	ErrAppleOrderAlreadySucceed             = gcode.New(1004, "订单已支付", nil)
	ErrAppleAccountRepeatByUnLegalOperation = gcode.New(1006, "上传账号失败，当日已上传过", nil)

	ErrFileBroken = gcode.New(2006, "文件损坏", nil)

	HttpClientGetError = gcode.New(1005, "http请求失败", nil)
	CornError          = gcode.New(2001, "处理错误，请稍后重试", nil)

	ErrLoginPasswordOrUserError    = gcode.New(3001, "用户名或密码错误", nil)
	ErrLoginUserNotExist           = gcode.New(3002, "用户不存在", nil)
	ErrLoginUserDisabled           = gcode.New(3003, "用户被禁用", nil)
	ErrLoginUserNotActive          = gcode.New(3004, "用户未激活", nil)
	ErrLoginUserNotExistOrDisabled = gcode.New(3005, "用户不存在或已被禁用", nil)
	ErrLoginUserPasswordError      = gcode.New(3006, "密码错误", nil)
	ErrLoginUserTotpError          = gcode.New(3007, "二步验证错误", nil)

	ErrOperationForbidden = gcode.New(4001, "操作被禁止", nil)
	ErrTokenError         = gcode.New(5001, "token错误", nil)
	ErrTokenExpired       = gcode.New(5002, "token过期", nil)
	ErrTokenNotExist      = gcode.New(5003, "token不存在", nil)

	ErrCkFailError = gcode.New(6001, "ck失效", nil)
)
